/****************************************************

  zenza.h

      Ū  ե̾ʤɤ

    Created  by H.TSUKATA       1995
    Modified by H.Goto    Sept. 1997
****************************************************/

/*--------------------------------------------------------------------
  Copyright (C) 1995-1997  Hitoshi TSUKATA

        All Rights Reserved

  Permission to use, copy, modify, and distribute this software and
  its documentation for any purpose is hereby granted without fee,
  provided that (i) the above copyright notice and this permission
  notice appear in all copies and in supporting documentation, (ii)
  the name of the author, Hitoshi TSUKATA, may not be used in any
  advertising or otherwise to promote the sale, use or other
  dealings in this software without prior written authorization
  from the author, (iii) this software may not be used for
  commercial products without prior written permission from the
  author, and (iv) the notice of the modification is specified in
  case of that the modified copies of this software are distributed.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
  THE AUTHOR WILL NOT BE RESPONSIBLE FOR ANY DAMAGE CAUSED BY THIS
  SOFTWARE.
--------------------------------------------------------------------*/


#ifndef _ZENZA_H_
#define _ZENZA_H_

#ifndef PI
#define PI (3.141592653589793238)
#endif

#ifdef KAKIYA
#define PS_HEADER_FILE	"/home/nng/ps/header.ps"	
#define PS_FOOTER_FILE	"/home/nng/ps/footer.ps"
#else
#define PS_HEADER_FILE	"/home/usrs/nng/ps/header.ps"	
#define PS_FOOTER_FILE	"/home/usrs/nng/ps/footer.ps"
#endif

#define	deg2rad(x)	( (x)*PI/(double)180.0)	
#define	rad2deg(x)	( (x)*(double)180.0/PI)	
#ifndef max
#define	max(i,j)	( (i)*( i>j ) + (j)*( j>=i ) )
#endif
#ifndef min
#define	min(i,j)	( (i)*( i<j ) + (j)*( j<=i ) )
#endif

//#define variation(m)	sqrt(fabs(m[2]- m[1]*m[1]))

#ifndef hi
#define hi( i, j)	( ((i)*(j)!=0) ? max((i),(j))/ min((i),(j)) : INT_MAX)
//#define hi( i, j)	max((i),(j))/ min((i),(j))
#endif

#  ifndef DBL_MAX
#define DBL_MAX             1.7976931348623157E+308
#  endif



#endif	/* _ZENZA_H_ */
